Bug 58539 - documents that crash Libreoffice Calc master from 18.12.2012
Summary: documents that crash Libreoffice Calc master from 18.12.2012
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-19 21:29 UTC by Markus Mohrhard
Modified: 2013-11-16 22:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
fdo41391 (106.50 KB, application/vnd.ms-excel)
2012-12-21 03:11 UTC, Markus Mohrhard
Details
fdo44758 (533.85 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-21 03:12 UTC, Markus Mohrhard
Details
fdo45266 (50.45 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2012-12-21 03:13 UTC, Markus Mohrhard
Details
fdo45268 (22.82 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2012-12-21 03:14 UTC, Markus Mohrhard
Details
fdo45276 (22.52 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2012-12-21 03:16 UTC, Markus Mohrhard
Details
fdo54638 (329.23 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-21 03:16 UTC, Markus Mohrhard
Details
fdo55022 (93.99 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-21 03:17 UTC, Markus Mohrhard
Details
fdo55022-2 (86.67 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-21 03:17 UTC, Markus Mohrhard
Details
fdo55174 (164.84 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2012-12-21 03:18 UTC, Markus Mohrhard
Details
gnome519788 (173.50 KB, application/vnd.ms-excel)
2012-12-21 03:18 UTC, Markus Mohrhard
Details
gnome627150 (12.55 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-21 03:19 UTC, Markus Mohrhard
Details
gnome627420 (15.76 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-21 03:19 UTC, Markus Mohrhard
Details
kde245919 (4.68 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-21 03:20 UTC, Markus Mohrhard
Details
ooo74264 (10.76 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-21 03:20 UTC, Markus Mohrhard
Details
reduced version of fdo44758 (53.21 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-01-03 04:25 UTC, Kohei Yoshida
Details
patch for fdo#44758 (1.08 KB, patch)
2013-01-04 03:10 UTC, Markus Mohrhard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2012-12-19 21:29:41 UTC
So again a tracker bug for all bugzilla documents that crash calc in the automatic import test.

First one:
Bug 45266 in Pivot table code in dbgutil build
Comment 1 Markus Mohrhard 2012-12-21 03:11:38 UTC
Created attachment 71885 [details]
fdo41391
Comment 2 Markus Mohrhard 2012-12-21 03:12:52 UTC
Created attachment 71886 [details]
fdo44758
Comment 3 Markus Mohrhard 2012-12-21 03:13:19 UTC
Created attachment 71887 [details]
fdo45266
Comment 4 Markus Mohrhard 2012-12-21 03:14:05 UTC
Created attachment 71888 [details]
fdo45268
Comment 5 Markus Mohrhard 2012-12-21 03:16:23 UTC
Created attachment 71889 [details]
fdo45276
Comment 6 Markus Mohrhard 2012-12-21 03:16:58 UTC
Created attachment 71890 [details]
fdo54638
Comment 7 Markus Mohrhard 2012-12-21 03:17:24 UTC
Created attachment 71891 [details]
fdo55022
Comment 8 Markus Mohrhard 2012-12-21 03:17:49 UTC
Created attachment 71892 [details]
fdo55022-2
Comment 9 Markus Mohrhard 2012-12-21 03:18:10 UTC
Created attachment 71893 [details]
fdo55174
Comment 10 Markus Mohrhard 2012-12-21 03:18:41 UTC
Created attachment 71894 [details]
gnome519788
Comment 11 Markus Mohrhard 2012-12-21 03:19:14 UTC
Created attachment 71895 [details]
gnome627150
Comment 12 Markus Mohrhard 2012-12-21 03:19:42 UTC
Created attachment 71896 [details]
gnome627420
Comment 13 Markus Mohrhard 2012-12-21 03:20:13 UTC
Created attachment 71897 [details]
kde245919
Comment 14 Markus Mohrhard 2012-12-21 03:20:40 UTC
Created attachment 71898 [details]
ooo74264
Comment 15 Kohei Yoshida 2013-01-02 19:51:08 UTC
Initial list of all crasher docs.  We'll update the list as we go fixing.

* fdo45266
* fdo41391
* fdo44758
* fdo45266
* fdo45268
* fdo45276
* fdo54638
* fdo55022
* fdo55022-2
* fdo55174
* gnome519788
* gnome627150
* gnome627420
* kde245919
* ooo74264
Comment 16 Kohei Yoshida 2013-01-02 20:01:49 UTC
I hope someone can provide a stack trace on fdo#45266 as I don't use dbgutil build.  Else I'll have to set that aside for now.
Comment 17 Kohei Yoshida 2013-01-02 20:51:01 UTC
Fixed fdo#41391, plus removed duplicated fdo#45266 entry (there was two of them).

* fdo41391
* fdo44758
* fdo45266
* fdo45268
* fdo45276
* fdo54638
* fdo55022
* fdo55022-2
* fdo55174
* gnome519788
* gnome627150
* gnome627420
* kde245919
* ooo74264
Comment 18 Kohei Yoshida 2013-01-02 20:51:32 UTC
Ugh. Remove fdo41391 for real.

* fdo44758
* fdo45266
* fdo45268
* fdo45276
* fdo54638
* fdo55022
* fdo55022-2
* fdo55174
* gnome519788
* gnome627150
* gnome627420
* kde245919
* ooo74264
Comment 19 Not Assigned 2013-01-02 20:55:31 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=79f1ef44e77074d8f5a1d32e0447118e5b9c4e70

fdo#58539: Resizing matrix should also resize the flag storage too.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Kohei Yoshida 2013-01-02 21:04:41 UTC
Crasher with the fdo45266 doc should be fixed now. Confirmation appreciated.

* fdo44758
* fdo45268
* fdo45276
* fdo54638
* fdo55022
* fdo55022-2
* fdo55174
* gnome519788
* gnome627150
* gnome627420
* kde245919
* ooo74264
Comment 21 Not Assigned 2013-01-02 21:06:49 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c27e334661b62897a81a450ea9188f80e053261e

fdo#58539: Avoid throwing exception not specified in the signature.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Not Assigned 2013-01-03 00:43:08 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fa1b00095011def26cc291e74948817632e3545d

don't overflow column number during import, fdo#58539



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Not Assigned 2013-01-03 01:19:40 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5693934456f917861af7cb02734578b049a46940

limit the number of imported digits, fdo#58539



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Markus Mohrhard 2013-01-03 01:21:43 UTC
* fdo44758
* fdo45268
* fdo45276
* fdo54638
* fdo55022
* fdo55022-2
* fdo55174
* gnome519788
* gnome627150
* ooo74264

kde245919 and gnome627420 should be fixed now.
Comment 25 Not Assigned 2013-01-03 01:56:41 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30285360e5d1fbb14bb6bf54e55a3a9f9b7619e7&h=libreoffice-4-0

fdo#58539: Resizing matrix should also resize the flag storage too.


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Not Assigned 2013-01-03 01:57:00 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b060b43f093dce23222fd99375b1c6bd433703d9&h=libreoffice-4-0

fdo#58539: Avoid throwing exception not specified in the signature.


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Kohei Yoshida 2013-01-03 02:36:29 UTC
I'm working on the fdo44758 document at the moment.
Comment 28 Kohei Yoshida 2013-01-03 04:25:34 UTC
Created attachment 72417 [details]
reduced version of fdo44758

I've narrowed what causes the fdo44758 document to crash down to a single cell, in this reduced version.  I still haven't figured out how to properly fix this since it's a very convoluted formula...  Perhaps Eike can take a look at this?
Comment 29 Kohei Yoshida 2013-01-03 04:33:09 UTC
The fdo45268 document (.xlsx) doesn't crash for me.  Perhaps we can take this off the list (?)
Comment 30 Kohei Yoshida 2013-01-03 04:34:36 UTC
fdo45276 doesn't crash for me either.
Comment 31 Kohei Yoshida 2013-01-03 04:39:28 UTC
fdo54638 is an open performance issue which has yet to be fixed.  Maybe we should take it off the list as well and handle this document in Bug 54638 instead.
Comment 32 Kohei Yoshida 2013-01-03 04:42:15 UTC
These two: fdo55022, fdo55022-2 don't crash on me. Hmm...
Comment 33 Not Assigned 2013-01-03 04:59:14 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a8a3e46978b3397ca8aba38917bd5dbc808c9b8

fdo#58539: Properly initialize a member pointer value.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 34 Kohei Yoshida 2013-01-03 05:02:15 UTC
fdo55174 is now fixed.

* fdo44758
* fdo45268 (?)
* fdo45276 (?)
* fdo54638 (open perf issue)
* fdo55022 (?)
* fdo55022-2 (?)
* gnome519788
* gnome627150
* ooo74264
Comment 35 Kohei Yoshida 2013-01-03 05:06:41 UTC
Hmm.  ooo74264 seems to be a writer document with an .ods extension (!)

* fdo44758
* fdo45268 (?)
* fdo45276 (?)
* fdo54638 (open perf issue)
* fdo55022 (?)
* fdo55022-2 (?)
* gnome519788
* gnome627150
* ooo74264 (writer doc)
Comment 36 Not Assigned 2013-01-03 05:35:19 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eee87edf551f7a9f8c4da4267e5710edafd1725d&h=libreoffice-4-0

fdo#58539: Properly initialize a member pointer value.


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 37 Not Assigned 2013-01-03 05:35:38 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f204cd9b52ec7af3e0d20f5c88f09737b38b9e7d&h=libreoffice-4-0

fdo#58539: Check for mxValueLink being NULL before dereferencing.


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 38 Not Assigned 2013-01-03 05:35:58 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=329f3cd02546dfe58bf00f6ad3b71bc84a8d4320

fdo#58539: Check for mxValueLink being NULL before dereferencing.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 39 Kohei Yoshida 2013-01-03 05:36:45 UTC
gnome519788 is now fixed.

* fdo44758
* fdo45268 (?)
* fdo45276 (?)
* fdo54638 (open perf issue)
* fdo55022 (?)
* fdo55022-2 (?)
* gnome627150
* ooo74264 (writer doc)
Comment 40 Not Assigned 2013-01-03 13:06:57 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=74de75156f1ac6de427b62f000c6dcd248f914f6&h=libreoffice-4-0

don't overflow column number during import, fdo#58539


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 41 Not Assigned 2013-01-03 13:07:17 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f373868e16a1d83ceda531e4965cb00eaa523b8a&h=libreoffice-4-0

limit the number of imported digits, fdo#58539


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 42 Markus Mohrhard 2013-01-03 14:03:12 UTC
(In reply to comment #32)
> These two: fdo55022, fdo55022-2 don't crash on me. Hmm...

At least according to the output in the console this looks like another document that was crashing due to the graphic object lifetime problem that dtardon fixed.
Comment 43 Markus Mohrhard 2013-01-03 15:55:17 UTC
* fdo45268 (?)
* fdo45276 (?)

Both seem to be another case of the already fixed pivot table problem.
Comment 44 Markus Mohrhard 2013-01-03 15:56:02 UTC
Remaining files:

* fdo44758
* fdo54638 (open perf issue)
* gnome627150
* ooo74264 (writer doc)
Comment 45 Not Assigned 2013-01-03 16:49:01 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dfdbf14006d4baf822f399821dfb9d5412f8ab9e&h=libreoffice-4-0

make sure the column index is valid, fdo#58539


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 46 Not Assigned 2013-01-03 16:49:22 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bc348ae930b57f546238a8d24efebdd0972753c

make sure the column index is valid, fdo#58539



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 47 Not Assigned 2013-01-04 02:37:52 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c12df14aedbfcd9bd2bfd6dcc1e18524322bb939&h=libreoffice-4-0

workaround problems with row import, fdo#58539


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 48 Not Assigned 2013-01-04 02:38:13 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec6b0cb9da208d520972b3f305ecd79fdddb9023&h=libreoffice-4-0

don't overflow SCCOL during repeated cell import, fdo#58539


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 49 Not Assigned 2013-01-04 02:38:34 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e85d9c62c69ee39dd4c6ae7cd556fdf53f5e01d

workaround problems with row import, fdo#58539



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 50 Not Assigned 2013-01-04 02:38:54 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94f7417b038fad6f2a92d1c7c5f8f00c3e64711b

don't overflow SCCOL during repeated cell import, fdo#58539



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 51 Markus Mohrhard 2013-01-04 02:49:18 UTC
All three crashes with gnome#627150 should be fixed now. ooo74264 seems to have crashed because I used the filters unit test which does not have the corresponding uno components.

The remaining two problems are:

* fdo44758
* fdo54638 (open perf issue)
Comment 52 Markus Mohrhard 2013-01-04 03:10:41 UTC
Created attachment 72493 [details]
patch for fdo#44758

This patch fixes the crash and looks like a potential bug fix for fdo#44758.

@Eike: Could you have a look at this one?
Comment 53 Kohei Yoshida 2013-01-04 07:37:00 UTC
(In reply to comment #52)
> Created attachment 72493 [details] [review]
> patch for fdo#44758
> 
> This patch fixes the crash and looks like a potential bug fix for fdo#44758.
> 
> @Eike: Could you have a look at this one?

Actually that's what I'd come up with, which should indeed fix the crash itself.  But the concern here is that why the matrix become empty?  The matrix there should at least contain one element, so neither the column nor row dimension should become zero there (it should be a 1 by 1 matrix, not empty matrix).

That's what I meant to say in Comment 28.
Comment 54 Markus Mohrhard 2013-01-04 12:38:52 UTC
> Actually that's what I'd come up with, which should indeed fix the crash
> itself.  But the concern here is that why the matrix become empty?  The
> matrix there should at least contain one element, so neither the column nor
> row dimension should become zero there (it should be a 1 by 1 matrix, not
> empty matrix).
> 
> That's what I meant to say in Comment 28.

Ah ok. But in the end we either need this patch or we can remove the if clause and ignore it. Right now every time we reach this PushIllegalArgument() call we crash later.
Comment 55 Kohei Yoshida 2013-01-04 14:29:22 UTC
(In reply to comment #54)
> > Actually that's what I'd come up with, which should indeed fix the crash
> > itself.  But the concern here is that why the matrix become empty?  The
> > matrix there should at least contain one element, so neither the column nor
> > row dimension should become zero there (it should be a 1 by 1 matrix, not
> > empty matrix).
> > 
> > That's what I meant to say in Comment 28.
> 
> Ah ok. But in the end we either need this patch or we can remove the if
> clause and ignore it. Right now every time we reach this
> PushIllegalArgument() call we crash later.

Sure. We do need this change. There is no dispute about it.

We just also need to at least find out why the matrix is empty since that may mean there is a problem lurking elsewhere..
Comment 56 Not Assigned 2013-01-04 23:18:53 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ddd869873603f929d7c342d62a8d52d19de83ec

Revert "workaround problems with row import, fdo#58539"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 57 Not Assigned 2013-01-05 03:14:31 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=734c469a91fad731715870e30886de9bb420c5c6&h=libreoffice-4-0

Revert "workaround problems with row import, fdo#58539"


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 58 Kohei Yoshida 2013-01-05 05:05:13 UTC
Let's remove fdo54638 off the list.  I'll tackle that one as a separate performance bug for 4.1.  We can't do anything for it for 4.0, I'm afraid.

So, what remains is only this:

* fdo44758
Comment 59 Kohei Yoshida 2013-01-09 07:02:53 UTC
(In reply to comment #58)
> Let's remove fdo54638 off the list.  I'll tackle that one as a separate
> performance bug for 4.1.  We can't do anything for it for 4.0, I'm afraid.
> 
> So, what remains is only this:
> 
> * fdo44758

I'm still not through with this, but at least I know what's causing the crash.  The type of the formula cell result is set to hybrid string, but it has to be set to matrix type for the interpreter to work properly.

A quick test hack suggests that if we find a way to correctly load cached matrix values as matrix type (not as hybrids) the crash will go away.

Alternatively, if we just skip loading any cached values for matrix range (or just the upper-left cell of the matrix range), the crash will go away too.

I'll continue tomorrow what's the best option for this.
Comment 60 Not Assigned 2013-01-09 16:32:46 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b6fbc8642928893ca608a35b802032cfe42e40bb

fdo#58539: Correctly set cached matrix formula result.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 61 Kohei Yoshida 2013-01-09 18:11:10 UTC
I pushed my last change to gerrit for review for the 4.0 branch.  Once that's cleared and the change goes into 4.0 (unless it's objected), we can close this bug.
Comment 62 Not Assigned 2013-01-09 22:02:22 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97a10ade202537a60bf15ad58f2e44cfb785bb3f&h=libreoffice-4-0

fdo#58539: Correctly set cached matrix formula result.


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 63 Kohei Yoshida 2013-01-09 22:18:52 UTC
The last one is in.  Let's close this bug.